-- Set table.
script.on_init(function()
	if not global.my_entities then global.my_entities = {} end
end)
-- Register transport-belt and inserter.
local function on_built_entity(event)
	if event.created_entity.name == "accumulator" then
		table.insert(global.my_entities, event.created_entity)
	end
end
script.on_event(defines.events.on_built_entity,			on_built_entity)
script.on_event(defines.events.on_robot_built_entity,	on_built_entity)
-- Enable cheat mode and research all technologies so you can build accumulator.
script.on_event(defines.events.on_player_created, function(event)
	game.players[event.player_index].cheat_mode = true
	game.players[event.player_index].force.research_all_technologies()
end)

-- Give free energy.
script.on_event(defines.events.on_tick, function()
	for index, entity in ipairs(global.my_entities) do
		if entity.valid then
			entity.energy = 100000000000
		else
			table.remove(global.my_entities, index)
		end
	end
end)